org.freedesktop.cairo

## Class HintMetrics

- Object
- - org.freedesktop.bindings.Constant
  - - org.freedesktop.cairo.HintMetrics

-     public class HintMetrics
      extends org.freedesktop.bindings.Constant

  Whether to hint the font rendering based on alignment to the integer pixel grid. Forcing this `OFF` is necessary if you want perfect linear scaling of your rendered fonts.

  The default setting is to be inherited, and while probably `ON`; the presence of `DEFAULT` means you can generally leave this alone and not worry about it.

  Since:
    4.0.10
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static HintMetrics` | `DEFAULT` Default is like "unset"; the existing value from the surrounding environment (Context, Surface, Font in use, Font rendering back end, etc) will be used.
    `static HintMetrics` | `OFF` Turn metric hinting
    `static HintMetrics` | `ON` Hinting font metrics means "quantizing them so that they are integer values" in the target Surface's physical rendering co-ordinate space.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final HintMetrics DEFAULT

      Default is like "unset"; the existing value from the surrounding environment (Context, Surface, Font in use, Font rendering back end, etc) will be used.
      Since:
        4.0.10

    - #### OFF

          public static final HintMetrics OFF

      Turn metric hinting
      Since:
        4.0.10

    - #### ON

          public static final HintMetrics ON

      Hinting font metrics means "quantizing them so that they are integer values" in the target Surface's physical rendering co-ordinate space. This is good for visual appearance but breaks perfect smoothness when doing linear scaling (such as in animation if zooming in).
      Since:
        4.0.10